using System;
using System.Collections.Generic;
using System.Collections.Specialized;
using System.ComponentModel;
using System.Text;
using System.Web;
using System.Data;
using System.Data.SqlClient;

using Sybase.DataWindow;
using TXSoft.Common;
using TXSoft.ExtPB;
using TXSoft.DataStore;
using A8ERP;
using System.Text.RegularExpressions;


namespace A8ERP.CaiGou.CaiGouDingDanTongJiFenXi
{
    public partial class W_HuiZongTongJi
    {
        public W_HuiZongTongJi()
        {

        }
        public override void OnLoad()
        {
            base.OnLoad();

            dw_1.AllowCreate = true;
            dw_1.AllowRetrieve = true;
 
            if (this.Page != null)
            {
                this.Page.ClientScript.RegisterClientScriptInclude("W_Edit", "/DangAn/Base/OpenWindowDoubleRowsChooseBase.win.js?JSV=" + AppService.GetJSVesion());
                this.Page.ClientScript.RegisterClientScriptInclude("OpenWindowQueryBase", "/DangAn/Base/OpenWindowQueryBase.win.js?JSV=" + AppService.GetJSVesion());
                this.Page.ClientScript.RegisterClientScriptInclude("OpenWindowSimpleChoseBase", "/DangAn/Base/OpenWindowSimpleChoseBase.win.js?JSV=" + AppService.GetJSVesion());
            }
            this.IsRegisterScriptFile = false;
        }
    }
}
